Skip to main content
GET
/
subaccounts
/
{subaccountId}
/
fiat
/
withdrawals
/
{transactionId}
Get USD Withdrawal Request for a subaccount
curl --request GET \
  --url https://api.anchorage-staging.com/v2/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "asset": {
      "amount": "1000.0",
      "assetType": "USD"
    },
    "customerDetails": {
      "beneficiary": {
        "address": {
          "address": "123 Main Street",
          "city": "Windsor",
          "state": "Iowa",
          "zipcode": "12312"
        },
        "name": "<string>",
        "accountNumber": "<string>"
      },
      "financialInstitution": {
        "id": "<string>",
        "address": {
          "address": "123 Main Street",
          "city": "Windsor",
          "state": "Iowa",
          "zipcode": "12312"
        },
        "name": "<string>"
      },
      "intermediateFinancialInstitution": {
        "id": "<string>",
        "address": {
          "address": "123 Main Street",
          "city": "Windsor",
          "state": "Iowa",
          "zipcode": "12312"
        },
        "name": "<string>"
      },
      "memo": "<string>"
    }
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

subaccountId
string
required

Unique Identifier for the subaccount

transactionId
string
required

Unique Identifier for the Withdrawal Transaction

Response

Get the Withdrawal Request

data
GetSubaccountWithdrawalObject · object
required